I have an emac running panther 10.3.9, can I upgrade to snow leopard? or what is my best upgrade option?

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    Like earlier answers have stated, you can not use Snow Leopard on a non-Intel based Mac. Now, you have two choices. To help you decide, choose the Apple menu icon, and click on About this Mac. Then click on more info. This will bring you up System Profiler. Now check what type of processor your eMac has. If it is G3 then your best bet is to go for Tiger (10.4), if it is a G4 processor (over 833MHz), then go for Leopard PowerPC version. But if it is a G4 proccessor that is under 833MHz then go for Tiger. I'm pretty sure most eMacs were shipped with at least G4 processors as my school boarding house has one and it runs Tiger like a dream.

    Hope this has answered your question.

    Was this useful? Answer 1

    16 of 17 people found this useful

  • You need a Mac with an Intel processor. eMac does not.

    Was this useful? Answer 2

    1 of 2 people found this useful

  • Unless your eMac has an Intel processor in it (I don't believe they ever made any that did), it is not compatible with Snow Leopard.

    Was this useful? Answer 3

    1 of 2 people found this useful

Related Questions